Subject: Re: bug#13999: 24.3.50; rng-validate-while-idle -> (error "Selecting deleted buffer")

From: Stefan Monnier <[email-masked]>
Date: Tue, 19 Mar 2013 23:29:39 -0400

>> Right, rng-validate-while-idle needs to check that its buffer is
>> still live.  Ideally it should also disable the corresponding timer if
>> the buffer died.
>> Could someone take care of it?
> Last time I checked the timer is supposed to be removed after buffer
> being killed.  So this fix is not ideal but it gives us a hint that a
> recipe might involve killing the buffer.

Yes, clearly a recipe would require killing the buffer in such a way
that the timer is not canceled.  While we may want to try and fix the
hole that lets this happen, I think it's still worthwhile to defensively
make rng-validate-while-idle check that the buffer is still live, since
the other problem may be anywhere in some unrelated code (potentially
external to Emacs) that let-binds kill-buffer-hook (for example).

        Stefan